import type { App } from 'vue';
import nsInput from './input.vue';
import nsGroup from './input-group.vue';
import nsSearch from './input-search.vue';
import nsTextArea from './textarea.vue';
import nsPassword from './input-password.vue';
import nsIp from './input-ip.vue';
import nsInputModalTable from './input-modal-table.vue';
import nsInputAddress from './input-address.vue';
import nsInputText from './input-text.vue';
import nsInputNumber from './input-number.vue';
import nsInputCity from './input-city.vue';
import nsInputCityV2 from './input-cityV2.vue';
import nsInputModal from './input-modal.vue';
import nsInputColor from './input-color.vue';
import nsFilter from './input-filter.vue';
nsInput.Group = nsGroup;
nsInput.Search = nsSearch;
nsInput.Text = nsInputText;
nsInput.TextArea = nsTextArea;
nsInput.Password = nsPassword;
nsInput.ip = nsIp;
nsInput.modaltable = nsInputModalTable;
nsInput.address = nsInputAddress;
nsInput.number = nsInputNumber;
nsInput.city = nsInputCity;
nsInput.cityV2 = nsInputCityV2;
nsInput.modal = nsInputModal;
nsInput.color = nsInputColor;
nsInput.Filter = nsFilter;
export const NsInput = function (app: App) {
  app.component(nsInput.name, nsInput);
  app.component(nsInput.Text.name, nsInput.Text);
  app.component(nsInput.Group.name, nsInput.Group);
  app.component(nsInput.Search.name, nsInput.Search);
  app.component(nsInput.TextArea.name, nsInput.TextArea);
  app.component(nsInput.Password.name, nsInput.Password);
  app.component(nsInput.ip.name, nsInput.ip);
  app.component(nsInput.modaltable.name, nsInput.modaltable);
  app.component(nsInput.address.name, nsInput.address);
  app.component(nsInput.number.name, nsInput.number);
  app.component(nsInput.city.name, nsInput.city);
  app.component(nsInput.cityV2.name, nsInput.cityV2);
  app.component(nsInput.modal.name, nsInput.modal);
  app.component(nsInput.color.name, nsInput.color);
  app.component(nsInput.Filter.name, nsInput.Filter);
  return app;
};
